Zum Hauptinhalt springen

Breaking (!) API changes for v2 API, March 27 to April 3

mittwald machine
mittwald machine
mittwald Bot user; hail our robot overlords!

This week, the mittwald API introduces several updates, including optional properties for responses and requests, changes in property types, and the addition of required properties to enhance the functionality of cronjob and project management endpoints.

Summary

  • The response property destination became optional for the status 200 in the GET /v2/cronjobs/{cronjobId} operation. This is a breaking change.
  • The response properties appId and appInstallationId changed their type/format from string/uuid to string/'' for the status 200 in the GET /v2/cronjobs/{cronjobId} operation. This is a breaking change.
  • The response property /items/destination became optional for the status 200 in the GET /v2/projects/{projectId}/cronjobs operation. This is a breaking change.
  • The response properties /items/appId and /items/appInstallationId changed their type/format from string/uuid to string/'' for the status 200 in the GET /v2/projects/{projectId}/cronjobs operation. This is a breaking change.
  • The request property failedExecutionAlertThreshold's maximum value was set to 80.00 in the POST /v2/projects/{projectId}/cronjobs operation.
  • An optional property target was added to the response with the 200 status in the GET /v2/cronjobs/{cronjobId} operation.
  • A new optional request property target was added in the PATCH /v2/cronjobs/{cronjobId} operation.
  • The required property /items/serverGroupId was added to the response with the 200 status in the GET /v2/projects operation.
  • The required property serverGroupId was added to the response with the 200 status in the GET /v2/projects/{projectId} operation.
  • A new optional request parameter includeServiceCronjobs was added in the GET /v2/projects/{projectId}/cronjobs operation.
  • An optional property /items/target was added to the response with the 200 status in the GET /v2/projects/{projectId}/cronjobs operation.
  • A new optional request property target was added in the POST /v2/projects/{projectId}/cronjobs operation.
  • The request property appId became optional in the POST /v2/projects/{projectId}/cronjobs operation.
  • The request property destination became optional in the POST /v2/projects/{projectId}/cronjobs operation.
  • The required property /items/groupId was added to the response with the 200 status in the GET /v2/servers operation.
  • The required property groupId was added to the response with the 200 status in the GET /v2/servers/{serverId} operation.

Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.

Detailed changes

Changes in "Get a cronjob"

  • ⚠️ Breaking: the response property 'destination' became optional for the status '200'

  • ⚠️ Breaking: the 'appId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'

  • ⚠️ Breaking: the 'appInstallationId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'

  • added the optional property 'target' to the response with the '200' status

For details, refer to the GET/v2/cronjobs/{cronjobId}/ endpoint.

Changes in "List cronjobs belonging to a Project"

  • ⚠️ Breaking: the response property '/items/destination' became optional for the status '200'

  • ⚠️ Breaking: the '/items/appId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'

  • ⚠️ Breaking: the '/items/appInstallationId' response's property type/format changed from 'string'/'uuid' to 'string'/'' for status '200'

  • added the new optional 'query' request parameter 'includeServiceCronjobs'

  • added the optional property '/items/target' to the response with the '200' status

For details, refer to the GET/v2/projects/{projectId}/cronjobs/ endpoint.

Changes in "Create a cronjob"

  • the 'failedExecutionAlertThreshold' request property's max was set to '80.00'

  • added the new optional request property 'target'

  • the request property 'appId' became optional

  • the request property 'destination' became optional

For details, refer to the POST/v2/projects/{projectId}/cronjobs/ endpoint.

Changes in "Update a cronjob"

  • added the new optional request property 'target'

For details, refer to the PATCH/v2/cronjobs/{cronjobId}/ endpoint.

Changes in "List Projects belonging to the executing user"

  • added the required property '/items/serverGroupId' to the response with the '200' status

For details, refer to the GET/v2/projects/ endpoint.

Changes in "Get a Project"

  • added the required property 'serverGroupId' to the response with the '200' status

For details, refer to the GET/v2/projects/{projectId}/ endpoint.

Changes in "List Servers belonging to the executing user"

  • added the required property '/items/groupId' to the response with the '200' status

For details, refer to the GET/v2/servers/ endpoint.

Changes in "Get a Server"

  • added the required property 'groupId' to the response with the '200' status

For details, refer to the GET/v2/servers/{serverId}/ endpoint.

Client package releases

mittwald JavaScript SDK Release 4.342.0

The mittwald JavaScript SDK has been updated to version 4.342.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.

mittwald JavaScript SDK Release 4.341.0

The mittwald JavaScript SDK has been updated to version 4.341.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, please refer to the release page.

mittwald JavaScript SDK Release 4.340.0

The mittwald JavaScript SDK has been updated to version 4.340.0. This release includes an update to the generated client, enhancing its functionality. For more details, you can view the release on GitHub here.

mittwald JavaScript SDK Release 4.339.0

The mittwald JavaScript SDK has been updated to version 4.339.0. This release includes an update to the generated client, enhancing the functionality and performance of the SDK. For more details, you can view the release on GitHub.

mittwald JavaScript SDK Release 4.338.1

The mittwald JavaScript SDK has been updated to version 4.338.1. This release includes a version bump for the package root. For more details, you can view the release on GitHub here.

mittwald JavaScript SDK Release 4.338.0

The mittwald JavaScript SDK has been updated to version 4.338.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub: mittwald JavaScript SDK 4.338.0.

mittwald JavaScript SDK Release 4.337.0

The mittwald JavaScript SDK has been updated to version 4.337.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub.